Skip to main content

🏢 Companies

Power Automate connector in preview

Power Automate connector is currently in preview. It has all the functionality. Preview flag will be removed in some time as Mockster finds its users.

Description​

Generate company related data, like names and company jargon. Returns an array of properties, by default ten. Some of the properties can be localized.

Query options​

ParameterDescriptionDefault
CountCount of objects returned10
LocaleLocalization for the response, see Localizationen
SeedSeed value for reproducible resultsnull

Request​

Power Automate​

In Power Automate you can find this endpoint by searching for Get company mockdata.

Get company mockdata action

HTTP​

Or you can use an HTTP request.

HTTP
GET https://api.mockster.dev/api/v1/companies
Accept: application/json

Response​

Example​

JSON
[
{
"buzzAdjective": "extensible",
"buzzNoun": "initiatives",
"buzzPhrase": "mesh clicks-and-mortar eyeballs",
"buzzVerb": "expedite",
"catchPhrase": "Business-focused responsive moratorium",
"catchPhraseAdjective": "Integrated",
"catchPhraseDescriptor": "uniform",
"catchPhraseNoun": "focus group",
"city": "Weissnatchester",
"country": "Saudi Arabia",
"creditLimit": 9000000,
"email": "Dylan4@gmail.com",
"mobilePhone": "(337) 925-6199",
"name": "Dibbert, Kirlin and Hammes",
"numberOfEmployees": 9820,
"phone": "(836) 964-9811",
"revenue": 8000000,
"streetAddress": "78999 Zemlak Field",
"website": "https://visible-derivative.com/",
"zipCode": "54306-5071"
}
]

Buzz Adjective​

JSONPower Automate
buzzAdjectiveBuzz Adjective

Returns a random buzz adjective. For example: extensible.

Return datatype: string

Buzz Noun​

JSONPower Automate
buzzNounBuzz Noun

Returns a random buzz noun. For example: initiatives.

Return datatype: string

Buzz Phrase​

JSONPower Automate
buzzPhraseBuzz Phrase

Returns a random buzz phrase. For example: mesh clicks-and-mortar eyeballs.

Return datatype: string

Buzz Verb​

JSONPower Automate
buzzVerbBuzz Verb

Returns a random buzz verb. For example: expedite.

Return datatype: string

Catch Phrase​

JSONPower Automate
catchPhraseCatch Phrase

Returns a random catch phrase. For example: Business-focused responsive moratorium.

Return datatype: string

Catch Phrase Adjective​

JSONPower Automate
catchPhraseAdjectiveCatch Phrase Adjective

Returns a random catch phrase adjective. For example: Integrated.

Return datatype: string

Catch Phrase Descriptor​

JSONPower Automate
catchPhraseDescriptorCatch Phrase Descriptor

Returns a random catch phrase descriptor. For example: uniform.

Return datatype: string

Catch Phrase Noun​

JSONPower Automate
catchPhraseNounCatch Phrase Noun

Returns a random catch phrase noun. For example: focus group.

Return datatype: string

City​

JSONPower Automate
cityCity

Returns a random city. For example: Weissnatchester.

Return datatype: string

Country​

JSONPower Automate
countryCountry

Returns a random country. For example: Saudi Arabia.

Return datatype: string

Credit Limit​

JSONPower Automate
creditLimitCredit Limit

Returns a random credit limit. This is a integer from 1 to 100 million. Displayed in millions. For example: 9000000.

Return datatype: number

Email​

JSONPower Automate
emailEmail

Returns a random email. For example: Dylan4@gmail.com.

Return datatype: string

Mobile Phone​

JSONPower Automate
mobilePhoneMobile Phone

Returns a random mobile phone number. For example: (337) 925-6199.

Return datatype: string

Name​

JSONPower Automate
nameName

Returns a random company name. For example: Dibbert, Kirlin and Hammes.

Return datatype: string

Number of Employees​

JSONPower Automate
numberOfEmployeesNumber of Employees

Returns a random number of employees. This is a number between 1 and 10 000. For example: 9820.

Return datatype: number

Phone​

JSONPower Automate
phonePhone

Returns a random phone number. For example: (836) 964-9811.

Return datatype: string

Revenue​

JSONPower Automate
revenueRevenue

Returns a random revenue. This is a integer between 1 and 100 million. Displayed in millions. For example: 8000000.

Return datatype: number

Street Address​

JSONPower Automate
streetAddressStreet Address

Returns a random street address. For example: 78999 Zemlak Field.

Return datatype: string

Website​

JSONPower Automate
websiteWebsite

Returns a random website. For example: https://visible-derivative.com/.

Return datatype: string

Zip Code​

JSONPower Automate
zipCodeZip Code

Returns a random zip code. For example: 54306-5071.

Return datatype: string

To create realistic employee data you can use the 🧍🏻 Persons endpoint.

For product data, try the 🧸 Products endpoint.